| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSafeCopyArray< T > Class Template Reference
[Containers]

Convenience class to make a version of csArray<> that does a safe-copy in case of reallocation of the array. More...

`#include <csutil/array.h>`

Inheritance diagram for csSafeCopyArray< T >:

[legend]
List of all members.

## Public Member Functions
| csSafeCopyArray (size_t limit=0, size_t threshold=0)
| Initialize object to hold initially `limit` elements, and increase storage by `threshold` each time the upper bound is exceeded.

## Detailed Description

### template<class T>
class csSafeCopyArray< T >

Convenience class to make a version of csArray<> that does a safe-copy in case of reallocation of the array.

Useful for weak references.

Definition at line 1197 of file array.h.

## Constructor & Destructor Documentation

template<class T>

csSafeCopyArray< T >::csSafeCopyArray | ( | size_t | limit = `0`,
|  | size_t | threshold = `0` |
| ) |  |  | `[inline]`

Initialize object to hold initially `limit` elements, and increase storage by `threshold` each time the upper bound is exceeded.

Definition at line 1206 of file array.h.

The documentation for this class was generated from the following file:

- csutil/array.h